Bug 1426972 - Review Request: hugo - A Fast and Flexible Static Site Generator built with love in GoLang
Summary: Review Request: hugo - A Fast and Flexible Static Site Generator built with l...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1206877 1206879 1297545 1344936 1345887 1394576 1395368 1426851 1426885 1426949 1426954 1426964 1426965 1426987 1427336 1428551 1479027 1480762 1480781
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-27 00:15 UTC by Athos Ribeiro
Modified: 2017-10-17 00:13 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-17 00:13:32 UTC
Type: ---
decathorpe: fedora-review+


Attachments (Terms of Use)

Description Athos Ribeiro 2017-02-27 00:15:10 UTC
Spec URL: https://athoscr.fedorapeople.org/packaging/hugo.spec
SRPM URL: https://athoscr.fedorapeople.org/packaging/hugo-0.18.1-1.src.rpm

Description:
Hugo is a static HTML and CSS website generator written in Go. It is optimized
for speed, easy use and configurability. Hugo takes a directory with content
and templates and renders them into a full HTML website.

Fedora Account System Username: athoscr

Comment 3 Athos Ribeiro 2017-03-04 00:34:43 UTC
New sources
SRPM URL: https://athoscr.fedorapeople.org/packaging/hugo-0.19-2.src.rpm

Comment 5 Dusty Mabe 2017-06-08 21:27:33 UTC
Hey Athos, thanks for packaging this up for us. Looks like most dependent rpms are almost through bodhi (just need to be submitted for stable).

How long do you think before we can start using hugo in Fedora?

Thanks for your work!

Comment 6 Athos Ribeiro 2017-06-09 01:28:03 UTC
I wanted to push this to F26 before final freeze, but I need one of the dependencies (golang-github-spf13-jwalterweatherman) updated to a newer version first.

I am Ccing jww maintainer here :)

Comment 7 Jan Chaloupka 2017-06-09 11:01:39 UTC
Which commit of the jww is needed? :)

Comment 8 Athos Ribeiro 2017-06-09 14:11:52 UTC
The latest would be nice [1], so I can also update hugo to the newest version.

[1] 0efa5202c04663c757d84f90f5219c1250baf94f

Comment 9 Jan Chaloupka 2017-06-10 11:35:15 UTC
jww updated to 0efa5202c04663c757d84f90f5219c1250baf94f

Comment 10 Athos Ribeiro 2017-06-23 20:58:15 UTC
Thanks Jan!

New sources:

Spec URL: https://athoscr.fedorapeople.org/packaging/hugo.spec
SRPM URL: https://athoscr.fedorapeople.org/packaging/hugo-0.24-1.fc25.src.rpm

There is a problem with toml files not being recognized. i18n package needs to be updated (I am the maintainer) but it requires a newer version of golang-github-pelletier-go-toml. I will ping Jan (go-toml maintainer) once again to ckeck if that is doable :)

Comment 11 Jan Chaloupka 2017-06-25 10:59:18 UTC
What version/commit of github.com/pelletier/go-toml?

Comment 12 Athos Ribeiro 2017-06-25 15:25:17 UTC
The changes needed are included in the latest version (1.0.0), which was tagged in commit 5ccdfb18c776b740aecaf085c4d9a2779199c279

Thank you, Jan!!!

Comment 13 Jan Chaloupka 2017-06-26 09:49:01 UTC
Just updated golang-github-pelletier-go-toml to v1.0.0. Should be in buildroot in 30 minutes at most.

Comment 14 Athos Ribeiro 2017-06-27 16:46:36 UTC
Thank you again Jan!

Here are the new sources: There are 2 failing tests that I commented out: One tests upstream releases (which requires their git repository). We do not want to test that. The other depends on the host time zone, So I consider it a bad test to have in the package.

Last, there are some hugolib tests failing. We need a newer golang-github-spf13-viper version (master's HEAD is fine, at c1de95864d73a5465492829d7cb2dd422b19ac96.

So once again (hope it's the last time) I have to bother Jan :) Thank you for all the help here, Jan!!!

Spec URL: https://athoscr.fedorapeople.org/packaging/hugo.spec
SRPM URL: https://athoscr.fedorapeople.org/packaging/hugo-0.24-2.fc25.src.rpm

This package is ready for review now! :)

Comment 16 Dusty Mabe 2017-07-14 19:24:52 UTC
Not signing up to do the review but would like to point out that this doesn't build in koji right now (maybe you already knew that since you mentioned failing tests).

https://koji.fedoraproject.org/koji/taskinfo?taskID=20528635

Comment 17 Athos Ribeiro 2017-07-14 20:32:02 UTC
Thanks Jan, for updating the packages!!!

Dusty,

There is a last failing test due to problems with converting the markdown files to html. I am still trying to track what is missing here (probably another dependency in the wrong version), any help is welcome at this point :)

Comment 18 Dusty Mabe 2017-07-17 02:25:10 UTC
Man I really wish I knew more about go.. This took me way too long to figure out:

```
[vagrant@f26vanilla hugo]$ go get -v github.com/mitchellh/mapstructure 
github.com/mitchellh/mapstructure (download)
github.com/mitchellh/mapstructure
[vagrant@f26vanilla hugo]$ GOPATH='/home/vagrant/go:/usr/share/gocode/' go test -compiler gc -ldflags '' github.com/gohugoio/hugo/hugolib 
ok      github.com/gohugoio/hugo/hugolib        2.621s
```


Can we get an updated version of github.com/mitchellh/mapstructure? HEAD works:d0303fe809921458f417bcf828397a65db30a7e4

Comment 19 Jan Chaloupka 2017-07-17 06:39:42 UTC
There is a vendor.json with all deps that can be used to check which dependencies in Fedora are outdated and which are up-to-date:
https://github.com/gohugoio/hugo/blob/master/vendor/vendor.json

Comment 20 Dusty Mabe 2017-07-17 13:08:15 UTC
(In reply to Jan Chaloupka from comment #19)
> There is a vendor.json with all deps that can be used to check which
> dependencies in Fedora are outdated and which are up-to-date:
> https://github.com/gohugoio/hugo/blob/master/vendor/vendor.json

yeah i saw that, but don't know of an automated way to do the checking (without writing one myself). Also git commits are a bit of a pain because they aren't really versions. You don't know if the rpm we have is actually built from a newer version or older version, just that it doesn't match.

Could we get a new version of github.com/mitchellh/mapstructure for now to see if that fixes the build issues? Once we have dist-git on pagure i'll be able to submit pull requests for this type of thing.

Comment 21 Athos Ribeiro 2017-07-17 14:26:47 UTC
(In reply to Dusty Mabe from comment #18)
> Man I really wish I knew more about go.. This took me way too long to figure
> out:

> Can we get an updated version of github.com/mitchellh/mapstructure? HEAD
> works:d0303fe809921458f417bcf828397a65db30a7e4

Thanks Dusty! I also spent some time looking for this myself :/

The thing is: It is mostly impossible to have all the dependencies on the same revisions as vendor.json, since other packages depending on them will also need them in different revisions.

Maybe we should encourage upstreams to tag their repositories, which would make our lives easier.

Thank you all for the effort here!

Comment 22 Jan Chaloupka 2017-07-17 14:50:36 UTC
Rawhide build here: https://koji.fedoraproject.org/koji/buildinfo?buildID=919471

Comment 23 Dusty Mabe 2017-07-17 15:15:09 UTC
(In reply to Jan Chaloupka from comment #22)
> Rawhide build here:
> https://koji.fedoraproject.org/koji/buildinfo?buildID=919471

works for me:

```
[vagrant@f26vanilla github.com]$ rpm -q golang-github-mitchellh-mapstructure-devel
golang-github-mitchellh-mapstructure-devel-0-0.15.gitd0303fe.fc27.noarch
[vagrant@f26vanilla github.com]$ rm -rf mitchellh/ # removed the version from git from my GOPATH src dir
[vagrant@f26vanilla github.com]$ GOPATH='/home/vagrant/go:/usr/share/gocode/' go test -compiler gc -ldflags '' github.com/gohugoio/hugo/hugolib ok      github.com/gohugoio/hugo/hugolib        2.758s
```

Comment 24 Athos Ribeiro 2017-07-17 15:39:23 UTC
koji Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=20578755

%go_arches still includes ppc64, although there's no more support for the go-compiler in such architectures. I believe this affects all golang packages using such macro and should be solved soon.

Build fails for ppc64 with:
  No matching package to install: 'compiler(go-compiler)'

In this case, I believe the package is ready for review, for anyone willing to perform it :)

Once again, thank you all for the effort in packaging this!

Comment 25 Fabio Valentini 2017-07-31 18:58:47 UTC
I have found some issues:

1) The latest release is 0.25.1. Please update your package (v0.24) for the latest version.

2) The "-unit-test-devel" subpackage Requires "%{name}-devel" (which doesn't exist, and leads to installation errors), and this should be replaced by "golang-%{provider}-%{project}-%{repo}-devel".

3) The "-devel" subpackage doesn't own all directories that it should ("/usr/share/gocode/src/github.com/gohugoio/hugo" - the hugo sources root directory - and all subdirectories of it are unowned [1]). This shouldn't happen when you use the scripts generated by gofed.

4) You should use %global instead of %define in line 32 of the .spec file according to the packaging guidelines.


Otherwise, the package looks good.


[1] Note: Directories without known owners:
     /usr/share/gocode/src/github.com/gohugoio/hugo/helpers,
     /usr/share/gocode/src/github.com/gohugoio/hugo/commands,
     /usr/share/gocode/src/github.com/gohugoio/hugo/tpl/inflect,
     /usr/share/gocode/src/github.com/gohugoio/hugo/i18n,
     /usr/share/gocode/src/github.com/gohugoio/hugo/create,
     /usr/share/gocode/src/github.com/gohugoio/hugo/tpl/collections,
     /usr/share/gocode/src/github.com/gohugoio/hugo/releaser,
     /usr/share/gocode/src/github.com/gohugoio/hugo/tpl/tplimpl,
     /usr/share/gocode/src/github.com/gohugoio/hugo/tpl/math,
     /usr/share/gocode/src/github.com/gohugoio/hugo/tpl/transform,
     /usr/share/gocode/src/github.com/gohugoio/hugo/tpl/cast,
     /usr/share/gocode/src/github.com/gohugoio/hugo/tpl/strings,
     /usr/share/gocode/src/github.com/gohugoio,
     /usr/share/gocode/src/github.com/gohugoio/hugo/transform,
     /usr/share/gocode/src/github.com/gohugoio/hugo/tpl/safe,
     /usr/share/gocode/src/github.com/gohugoio/hugo/media,
     /usr/share/gocode/src/github.com/gohugoio/hugo/tpl/crypto,
     /usr/share/gocode/src/github.com/gohugoio/hugo,
     /usr/share/gocode/src/github.com/gohugoio/hugo/bufferpool,
     /usr/share/gocode/src/github.com/gohugoio/hugo/hugolib,
     /usr/share/gocode/src/github.com/gohugoio/hugo/tpl/fmt,
     /usr/share/gocode/src/github.com/gohugoio/hugo/tpl/data,
     /usr/share/gocode/src/github.com/gohugoio/hugo/cache,
     /usr/share/gocode/src/github.com, (this is expected)
     /usr/share/gocode/src, (this is expected)
     /usr/share/gocode/src/github.com/gohugoio/hugo/output,
     /usr/share/gocode/src/github.com/gohugoio/hugo/tpl/internal,
     /usr/share/gocode/src/github.com/gohugoio/hugo/tpl/compare,
     /usr/share/gocode/src/github.com/gohugoio/hugo/hugofs,
     /usr/share/gocode, (this is expected)
     /usr/share/gocode/src/github.com/gohugoio/hugo/tpl,
     /usr/share/gocode/src/github.com/gohugoio/hugo/source,
     /usr/share/gocode/src/github.com/gohugoio/hugo/tpl/encoding,
     /usr/share/gocode/src/github.com/gohugoio/hugo/tpl/os,
     /usr/share/gocode/src/github.com/gohugoio/hugo/parser,
     /usr/share/gocode/src/github.com/gohugoio/hugo/tpl/time,
     /usr/share/gocode/src/github.com/gohugoio/hugo/tpl/lang,
     /usr/share/gocode/src/github.com/gohugoio/hugo/tpl/partials,
     /usr/share/gocode/src/github.com/gohugoio/hugo/tpl/images,
     /usr/share/gocode/src/github.com/gohugoio/hugo/tpl/urls

Comment 26 Dusty Mabe 2017-08-06 15:57:54 UTC
Hey Athos,

Can we get this updated so it will make it into Fedora!!! :) Thanks for all the hard work.

Comment 27 Athos Ribeiro 2017-08-07 15:48:59 UTC
Thanks for the review, Fabio.

I am working on these fixes. To package the newest version, we need we need golang.org/x/image/webp packaged. I am working on packaging it and I will open a new reviwew request ASAP!

Comment 28 Athos Ribeiro 2017-08-11 20:28:59 UTC
Spec URL: https://athoscr.fedorapeople.org/packaging/hugo.spec
SRPM URL: https://athoscr.fedorapeople.org/packaging/hugo-0.26-1.fc26.src.rpm

Issues 1,2 and 4 pointed by Fabio are fixed.

Now I need to work on new dependencies and update existing ones as well. I will rush this so we can have hugo in rawhide ASAP :)

Comment 29 Athos Ribeiro 2017-08-11 21:06:40 UTC
Changing one of the dependencies namespace

Spec URL: https://athoscr.fedorapeople.org/packaging/hugo.spec
SRPM URL: https://athoscr.fedorapeople.org/packaging/hugo-0.26-2.fc26.src.rpm

Comment 30 Dusty Mabe 2017-08-11 21:16:43 UTC
Thanks Athos 

What about issue #3? 

Are the deps the ones mentioned by 1479027 1480762 and 1480781? I can try to review some of them if so.

Comment 31 Athos Ribeiro 2017-08-14 19:48:43 UTC
(In reply to Dusty Mabe from comment #30)
> Thanks Athos 
> 
> What about issue #3? 

Working on it

> 
> Are the deps the ones mentioned by 1479027 1480762 and 1480781? I can try to
> review some of them if so.

Just 1480762 1480781, the other one is already taken!

Comment 32 Athos Ribeiro 2017-09-13 13:32:50 UTC
- Issue #3 is also fixed

- Package was updated to the latest version (0.27)

Spec URL: https://athoscr.fedorapeople.org/packaging/hugo.spec
SRPM URL: https://athoscr.fedorapeople.org/packaging/hugo-0.27-1.fc26.src.rpm
Koji Build: https://koji.fedoraproject.org/koji/taskinfo?taskID=21843578

Sorry for the delay here: upstream releases versions quite fast with new requirements. It turns out that not bundling golang requirements gets tricky sometimes.

Comment 34 Dusty Mabe 2017-09-13 14:04:19 UTC
yay! we are so close. thanks for everything and sorry I haven't been much help. Since Fabio started the review I'll let him finish it.

Comment 35 Fabio Valentini 2017-09-13 14:09:28 UTC
The .spec looks good at first glance, I'll do a comprehensive review once the last missing dependency hits rawhide mirrors.

Comment 36 Fabio Valentini 2017-09-14 07:57:06 UTC
I'm hitting a build error, any idea why that could happen?

# github.com/gohugoio/hugo/helpers
src/github.com/gohugoio/hugo/helpers/content.go:227:16: undefined: blackfriday.HTML_SMARTYPANTS_QUOTES_NBSP

Comment 37 Athos Ribeiro 2017-09-14 14:00:22 UTC
Hi Fabio,

HTML_SMARTYPANTS_QUOTES_NBSP is a const that was defined in a newer version of russross/blackfriday. Jan updated this package 1 or 2 days ago, so the error shall not be triggered as soon as the update reaches the mirrors.

Comment 38 Fabio Valentini 2017-09-15 18:07:11 UTC
There's only one minor issue left, AFAICT: There are files in the sources that aren't ASL 2.0 but MIT licensed, can you check if those get installed? If they are, change the License: Tag to "ASL 2.0 and MIT".

Once this has been resolved, I'll approve the package.


I'm curious about one thing: Since hugo is a service that runs to provide a web site, are users supposed to write their own systemd unit file to manage their hugo deployment? Upstream doesn't seem to provide an example one.

Comment 39 Fabio Valentini 2017-09-15 18:09:58 UTC
Oops, forgot to paste the MIT licensed files ...

MIT/X11 (BSD like)
------------------
hugo-5a4002bc8916600c0d28b59c83ae11e85ebcbf6e/docs/static/vendor/OwlCarousel2/LICENSE
hugo-5a4002bc8916600c0d28b59c83ae11e85ebcbf6e/docs/themes/gohugoioTheme/license.md

MIT/X11 (BSD like) Apache (v2.0)
--------------------------------
hugo-5a4002bc8916600c0d28b59c83ae11e85ebcbf6e/livereload/livereload.go

Comment 40 Athos Ribeiro 2017-09-15 18:42:15 UTC
Nothing under docs/* is getting installed. This is the HugoDocs webpage, which used to be a different project/repository for documenting Hugo. I may add a *-doc subpackage in the future.

The livereload/livereload.go file is being installed and I did change the license, as requested.

Spec URL: https://athoscr.fedorapeople.org/packaging/hugo.spec
SRPM URL: https://athoscr.fedorapeople.org/packaging/hugo-0.27.1-2.fc26.src.rpm

Thnaks for the review, Fabio!

Comment 41 Fabio Valentini 2017-09-15 19:08:11 UTC
Perfect! Package approved, full review below.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/gocode, /usr/share/gocode/src/github.com
     Note: This is expected.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
     Note: ExcludeArch tag according to golang packaging is present.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in golang-
     github-gohugoio-hugo-devel , golang-github-gohugoio-hugo-unit-test-
     devel , hugo-debuginfo
     Note: Those are not necessary and not usual for golang packages.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
     Note: There are skipped tests, but reasons for that are provided.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1177600 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: hugo-0.27.1-1.fc28.x86_64.rpm
          golang-github-gohugoio-hugo-devel-0.27.1-1.fc28.noarch.rpm
          golang-github-gohugoio-hugo-unit-test-devel-0.27.1-1.fc28.x86_64.rpm
          hugo-debuginfo-0.27.1-1.fc28.x86_64.rpm
          hugo-0.27.1-1.fc28.src.rpm
hugo.x86_64: W: spelling-error %description -l en_US configurability -> configuration
hugo.x86_64: W: only-non-binary-in-usr-lib
hugo.x86_64: W: no-manual-page-for-binary hugo
hugo.src: W: spelling-error %description -l en_US configurability -> configuration
5 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (debuginfo)
-------------------
Checking: hugo-debuginfo-0.27.1-1.fc28.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
hugo.x86_64: W: spelling-error %description -l en_US configurability -> configuration
hugo.x86_64: W: only-non-binary-in-usr-lib
hugo.x86_64: W: no-manual-page-for-binary hugo
4 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
golang-github-gohugoio-hugo-devel (rpmlib, GLIBC filtered):
    golang(github.com/BurntSushi/toml)
    golang(github.com/PuerkitoBio/purell)
    golang(github.com/bep/gitmap)
    golang(github.com/chaseadamsio/goorgeous)
    golang(github.com/dchest/cssmin)
    golang(github.com/eknkc/amber)
    golang(github.com/fsnotify/fsnotify)
    golang(github.com/gorilla/websocket)
    golang(github.com/hashicorp/go-immutable-radix)
    golang(github.com/jdkato/prose/transform)
    golang(github.com/kardianos/osext)
    golang(github.com/kyokomi/emoji)
    golang(github.com/markbates/inflect)
    golang(github.com/miekg/mmark)
    golang(github.com/mitchellh/mapstructure)
    golang(github.com/nicksnyder/go-i18n/i18n/bundle)
    golang(github.com/russross/blackfriday)
    golang(github.com/spf13/afero)
    golang(github.com/spf13/cast)
    golang(github.com/spf13/cobra)
    golang(github.com/spf13/cobra/doc)
    golang(github.com/spf13/fsync)
    golang(github.com/spf13/jwalterweatherman)
    golang(github.com/spf13/nitro)
    golang(github.com/spf13/pflag)
    golang(github.com/spf13/viper)
    golang(github.com/yosssi/ace)
    golang(golang.org/x/image/webp)
    golang(golang.org/x/text/transform)
    golang(golang.org/x/text/unicode/norm)
    golang(gopkg.in/yaml.v2)

hugo (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)

golang-github-gohugoio-hugo-unit-test-devel (rpmlib, GLIBC filtered):
    golang(github.com/fortytw2/leaktest)
    golang(github.com/stretchr/testify/assert)
    golang(github.com/stretchr/testify/require)
    golang-github-gohugoio-hugo-devel
    python-docutils
    python3-pygments
    rubygem-asciidoctor

hugo-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
golang-github-gohugoio-hugo-devel:
    golang(github.com/gohugoio/hugo/bufferpool)
    golang(github.com/gohugoio/hugo/cache)
    golang(github.com/gohugoio/hugo/commands)
    golang(github.com/gohugoio/hugo/common/types)
    golang(github.com/gohugoio/hugo/compare)
    golang(github.com/gohugoio/hugo/config)
    golang(github.com/gohugoio/hugo/create)
    golang(github.com/gohugoio/hugo/deps)
    golang(github.com/gohugoio/hugo/docshelper)
    golang(github.com/gohugoio/hugo/helpers)
    golang(github.com/gohugoio/hugo/hugofs)
    golang(github.com/gohugoio/hugo/hugolib)
    golang(github.com/gohugoio/hugo/i18n)
    golang(github.com/gohugoio/hugo/livereload)
    golang(github.com/gohugoio/hugo/media)
    golang(github.com/gohugoio/hugo/output)
    golang(github.com/gohugoio/hugo/parser)
    golang(github.com/gohugoio/hugo/related)
    golang(github.com/gohugoio/hugo/releaser)
    golang(github.com/gohugoio/hugo/source)
    golang(github.com/gohugoio/hugo/tpl)
    golang(github.com/gohugoio/hugo/tpl/cast)
    golang(github.com/gohugoio/hugo/tpl/collections)
    golang(github.com/gohugoio/hugo/tpl/compare)
    golang(github.com/gohugoio/hugo/tpl/crypto)
    golang(github.com/gohugoio/hugo/tpl/data)
    golang(github.com/gohugoio/hugo/tpl/encoding)
    golang(github.com/gohugoio/hugo/tpl/fmt)
    golang(github.com/gohugoio/hugo/tpl/images)
    golang(github.com/gohugoio/hugo/tpl/inflect)
    golang(github.com/gohugoio/hugo/tpl/lang)
    golang(github.com/gohugoio/hugo/tpl/math)
    golang(github.com/gohugoio/hugo/tpl/os)
    golang(github.com/gohugoio/hugo/tpl/partials)
    golang(github.com/gohugoio/hugo/tpl/safe)
    golang(github.com/gohugoio/hugo/tpl/strings)
    golang(github.com/gohugoio/hugo/tpl/time)
    golang(github.com/gohugoio/hugo/tpl/tplimpl)
    golang(github.com/gohugoio/hugo/tpl/transform)
    golang(github.com/gohugoio/hugo/tpl/urls)
    golang(github.com/gohugoio/hugo/transform)
    golang(github.com/gohugoio/hugo/utils)
    golang(github.com/gohugoio/hugo/watcher)
    golang-github-gohugoio-hugo-devel

hugo:
    hugo
    hugo(x86-64)

golang-github-gohugoio-hugo-unit-test-devel:
    golang-github-gohugoio-hugo-unit-test-devel
    golang-github-gohugoio-hugo-unit-test-devel(x86-64)

hugo-debuginfo:
    debuginfo(build-id)
    hugo-debuginfo
    hugo-debuginfo(x86-64)



Source checksums
----------------
https://github.com/gohugoio/hugo/archive/5a4002bc8916600c0d28b59c83ae11e85ebcbf6e/hugo-0.27.1.tar.gz :
  CHECKSUM(SHA256) this package     : 5828540a802755da4ccdd5ef412727ad5021f834bd7f298a8cfe24c6b7321cd4
  CHECKSUM(SHA256) upstream package : 5828540a802755da4ccdd5ef412727ad5021f834bd7f298a8cfe24c6b7321cd4


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1426972 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 42 Dusty Mabe 2017-09-15 19:21:13 UTC
thanks a million to you both!

(In reply to Fabio Valentini from comment #38)
> 
> I'm curious about one thing: Since hugo is a service that runs to provide a
> web site, are users supposed to write their own systemd unit file to manage
> their hugo deployment? Upstream doesn't seem to provide an example one.

So it depends on the user. I like to run hugo just to generate the static files and then have apache or nginx actually serve the files. I feel like security issues in those web servers are probably a little more hardened than whatever is in go land.

Anyone interested in making a container out of this? we could have one shot and also server mode for the container.

Comment 43 Athos Ribeiro 2017-09-15 19:26:01 UTC
Oh, I forgot Fabio's question. Thank you Dusty!

Yes, I also just serve the files with apache httpd :)

Sure! I would be interested in maintaining a container as well!

Thanks a lot for the review, Fabio!

Comment 44 Gwyn Ciesla 2017-09-15 19:29:45 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/hugo

Comment 45 Fedora Update System 2017-10-10 19:57:13 UTC
hugo-0.27.1-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7d38868ee1

Comment 46 Fedora Update System 2017-10-12 00:55:31 UTC
hugo-0.27.1-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7d38868ee1

Comment 47 Fedora Update System 2017-10-17 00:13:32 UTC
hugo-0.27.1-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.